(function(d) {
  var medias = d.getElementsByClassName('media');
  if(medias.length) {
    var btnPlayPause = d.getElementById('btn-play-pause');
    btnPlayPause.hidden = false;
    btnPlayPause.addEventListener('click', function(e) {
      for(var i = 0; i < medias.length; i++) {
        if (medias[i].paused || medias[i].ended) {
          medias[i].play();
        } else {
          medias[i].pause();
        }
      }
    },false);
  }
})(document);
